--TEST--
basic #66 - basic context
--DESCRIPTION--
basic context - that current context path ({{.}}) doesn't hit helpers
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = 'test: {{.}}';
$context = NULL;
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
test: 