--TEST--
helpers #27 - helpers hash
--DESCRIPTION--
helpers hash - the helpers hash is available is nested contexts
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#outer}}{{#inner}}{{helper}}{{/inner}}{{/outer}}';
$context = array(
        'outer' => array(
            'inner' => array(
                'unused' => array(),
            ),
        ),
    );
$helpers = new DefaultRegistry(array(
        'helper' => function() { return 'helper'; }/*function () { return 'helper'; }*/,
    ));
$options = array();
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
helper