--TEST--
helpers #50 - knownHelpers
--DESCRIPTION--
knownHelpers - Known helper should render helper
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{hello}}';
$context = array();
$helpers = new DefaultRegistry(array(
        'hello' => function() { return "foo"; }/*function () { return 'foo'; }*/,
    ));
$options = array(
        'knownHelpers' => array(
            'hello' => true,
        ),
    );
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
foo