--TEST--
whitespace-control #36 - should only strip whitespace once
--DESCRIPTION--
should only strip whitespace once - should only strip whitespace once
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = ' {{~foo~}} {{foo}} {{foo}} ';
$context = array(
        'foo' => 'bar',
    );
$options = array();
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
barbar bar 