--TEST--
helpers #54 - knownHelpers
--DESCRIPTION--
knownHelpers - Conditional blocks work in knownHelpers only mode
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#foo}}bar{{/foo}}';
$context = array(
        'foo' => 'baz',
    );
$options = array(
        'knownHelpersOnly' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
bar