--TEST--
string-params #4 - string params mode
--DESCRIPTION--
string params mode - information about the types is passed along
--SKIPIF--
<?php if( true ) die('skip string params are not supported by the VM'); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{tomdale \'need\' dad.joke true false}}';
$context = array();
$helpers = new DefaultRegistry(array(
        'tomdale' => function($exclamation, $options) {
        return "Helper called";
      }/*function (exclamation, options) {
        return "Helper called";
      }*/,
    ));
$options = array(
        'stringParams' => true,
    );
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
Helper called