--TEST--
sections #13 - Implicit Iterator - Decimal
--DESCRIPTION--
Implicit Iterator - Decimal - Implicit iterators should cast decimals to strings and interpolate.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '"{{#list}}({{.}}){{/list}}"';
$context = array(
        'list' => array(
            1.1000000000000001,
            2.2000000000000002,
            3.2999999999999998,
            4.4000000000000004,
            5.5,
        ),
    );
$options = array(
        'compat' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
"(1.1)(2.2)(3.3)(4.4)(5.5)"